/* Distributed under the Apache License, Version 2.0.
See accompanying NOTICE file for details.*/

#include "MainExplorerWindow.h"
//#include "controls/Palette.h"
//#include "controls/WidgetStyle.h"

#include <QApplication>

#pragma comment(linker, "/SUBSYSTEM:windows /ENTRY:mainCRTStartup")
int main(int argc, char *argv[])
{
  QApplication::setAttribute(Qt::AA_EnableHighDpiScaling);
  QApplication::setApplicationName("Pulse Explorer");
  QApplication::setOrganizationName("Kitware");
  QApplication::setOrganizationDomain("kitware.com");
  QApplication::setApplicationVersion("2.1");
  QApplication app(argc, argv);

  //app.setPalette(Palette{ Palette::Workspace });
  //auto* const s = new WidgetStyle{ &app };
  //app.setStyle(s);

  MainExplorerWindow w;
  w.show();
  return app.exec();
}